Bug 59101 - [Feature Request] Make Find hotkey (Ctrl+F) a toggle command
Summary: [Feature Request] Make Find hotkey (Ctrl+F) a toggle command
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: low enhancement
Assignee: Jorendc
QA Contact:
URL:
Whiteboard: target:4.1.0
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-07 11:32 UTC by Pedro
Modified: 2014-11-04 16:41 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pedro 2013-01-07 11:32:11 UTC
It would be nice if pressing Ctrl+F calls and dismisses the Find bar (as occurs with Ctrl+H for Find & Replace)
Comment 1 Jorendc 2013-01-07 12:03:02 UTC
Thanks for creating this enhancement report. As I said on the mailinglist: I'll have a look at it as soon I'm possible to :-)
Comment 2 Pedro 2013-01-07 12:09:22 UTC
Thanks, Joren.
That is all a non-developer can ask ;)
Comment 3 Not Assigned 2013-01-24 09:44:42 UTC
Joren De Cuyper committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1b375d580fb32739cc3b6625400337fa7380cdab

fdo#59101 - [Feature Request] Make Find hotkey (Ctrl+F) a toggle command



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Pedro 2013-01-25 17:29:29 UTC
Fantastic!

Tested in
Version 4.1.0.0.alpha0+ (Build ID: 2823789bec0c029d9714aff0ed65923e23177ef)
TinderBox: Win-x86@6, Branch:master, Time: 2013-01-24_22:52:49

Ctrl+F works perfectly as a toggle command and pressing Esc also dismisses the bar!

Well done! ;)

Thank you for listening and for adding the feature!
Comment 5 Jorendc 2013-01-25 17:57:41 UTC
(In reply to comment #4)
> Fantastic!
> 
> Tested in
> Version 4.1.0.0.alpha0+ (Build ID: 2823789bec0c029d9714aff0ed65923e23177ef)
> TinderBox: Win-x86@6, Branch:master, Time: 2013-01-24_22:52:49
> 
> Ctrl+F works perfectly as a toggle command and pressing Esc also dismisses
> the bar!
> 
> Well done! ;)
> 
> Thank you for listening and for adding the feature!

So marking it as VERIFIED fixed :-).
You're welcome. I which every feature was that simple to add :-). You're welcome!

Kind regards,
Joren
Comment 6 Emir Sarı (away) 2013-06-11 08:03:19 UTC
Wouldn't it simply be better if a second ctrl-f would hide the search bar?
Comment 7 Jorendc 2013-06-11 08:25:04 UTC
(In reply to comment #6)
> Wouldn't it simply be better if a second ctrl-f would hide the search bar?

What do you mean?

1) if your focus is on the document, findbar closed
-> ctrl+F opens findbar + focus on findbar

2) if your focus is on the document, findbar opened -> focus to findbar

3) if your focus is on the findbar, press ESC or ctrl+F will close the findbar
Comment 8 Pedro 2013-06-11 09:23:59 UTC
(In reply to comment #6)
> Wouldn't it simply be better if a second ctrl-f would hide the search bar?

@Emir, that is exactly what "toggle" means. Pressing the same key combination (in this case Ctrl+F) turns ON and OFF the Find bar.

This feature has already been added to the 4.1 branch and it works perfectly.
Comment 9 Emir Sarı (away) 2013-06-16 06:13:53 UTC
Sorry for the late reply. 

Here this is what I get on the latest master:

1. Open Writer
2. Press CMD+F
3. Find Bar appears. 
4. While FB is active pressing CMD+F does nothing
5. Pressing ESC closes the FB. 

I think this is a bug. Other than that other Cocoa applications like Safari closes the FB when pressed ESC and the focus is not on the FB. This might be also considered. 

I tried with different Latin keyboard layouts, and it is still the same. 

OS X 10.7.5 - 4.2.0 master.
Comment 10 Jorendc 2013-06-16 14:29:48 UTC
(In reply to comment #9)
> Sorry for the late reply. 
> 
> Here this is what I get on the latest master:
> 
> 1. Open Writer
> 2. Press CMD+F
> 3. Find Bar appears. 
> 4. While FB is active pressing CMD+F does nothing

Oh, that bug :-). Yes, that one I alread know. But I didn't opened a bug report for it due bug 49853. All commands (cmd+ ...) have this issue (can't copy/paste/...).

Kind regards,
Joren
Comment 11 Luca 2014-10-26 10:28:25 UTC
I don't like ctrl+F toggling behaviour at all, and I consider it as a bug. 

Let's say I need to deal with multiple repeated searches: normally, I hit ctrl+F and type my search string right away. Now, instead, in LibreOffice, I need to check carefully every time if my focus is in the find bar or in the document, before typing anything. If the focus is in the find bar, I have to type the new term to search, can't use ctrl+F because it closes the find bar; but if the focus is in the document I have to hit ctrl+F instead, to put the focus in the find bar. This is uncomfortable and even dangerous, because if I miss to check and hit ctrl+F when the focus is already in the find bar, my term to search winds up into the text. Needs a lot of attention, absolutely not comfortable. 

Ctrl+F should work exactly like the corresponding menu item Modify/Find does: open the find bar and put the focus in it. 

What I need is just one single command that I'm sure will put the focus into the find bar, no matter where my focus actually is. 

Moreover, ctrl+shift+F is very bizarre because it works like ctrl+F plus F3 hit one after the other. Very bad too.
Comment 12 Joel Madero 2014-11-04 16:41:42 UTC
Closing this - the last comment isn't useful - as we can get a ton of people to say they love it (including me). Joren took the time to implement this and there is no bug, it's a feature which you'll have to get used to. Please don't reopen this.